package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dto.MusicGroupPaymentBaseCalender;
import com.ym.mec.biz.dal.entity.MusicGroupPaymentCalenderActivity;

import java.util.List;

public interface MusicGroupPaymentCalenderActivityService {
    /**
    * @description: 新增活动缴费项目
     * @param musicGroupPaymentBaseCalender
     * @param calenderId
    * @return void
    * @author zx
    * @date 2021/12/22 15:31
    */
    void batchInsert(MusicGroupPaymentBaseCalender musicGroupPaymentBaseCalender, Long calenderId);

    void delByCalenderId(Long calenderId);

    List<MusicGroupPaymentCalenderActivity> findByCalenderId(Long calenderId);

    List<MusicGroupPaymentCalenderActivity> findByIds(List<Long> buyCalenderActivityIdList);

    List<MusicGroupPaymentCalenderActivity> findByActivityIds(List<Long> buyCalenderActivityIdList,Long calenderId);
}
